Your submission was sent successfully! Close

USN-5547-1: NVIDIA graphics drivers vulnerabilities

3 August 2022

Several security issues were fixed in NVIDIA graphics drivers.

Releases

Packages

Details

Le Wu discovered that the NVIDIA graphics drivers did not properly perform
input validation in some situations. A local user could use this to cause a
denial of service or possibly execute arbitrary code. (CVE-2022-31607)

Tal Lossos discovered that the NVIDIA graphics drivers incorrectly handled
certain memory operations, leading to a null-pointer dereference. A local
attacker could use this to cause a denial of service. (CVE-2022-31615)

Artem S. Tashkinov discovered that the NVIDIA graphics drivers Dynamic
Boost D-Bus component did not properly restrict access to its endpoint.
When enabled in non-default configurations, a local attacker could use this
to cause a denial of service or possibly execute arbitrary code.
(CVE-2022-31608)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 22.04
Ubuntu 20.04
Ubuntu 18.04

After a standard system update you need to reboot your computer to make all
the necessary changes.